ComponentContextEntry (Java UNO Runtime Reference)

Package com.sun.star.comp.helper

## Class ComponentContextEntry

- java.lang.Object
- - com.sun.star.comp.helper.ComponentContextEntry

-     public class ComponentContextEntry
      extends Object

  Component context entry for constructing ComponentContext objects.

  A ComponentContextEntry is separated into a late-init and direct-value purpose. The first one is commonly used for singleton objects of the component context, that are raised on first-time retrieval of the key. You have to pass a com.sun.star.lang.XSingleComponentFactory or string (=> service name) object for this.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Object` | `m_lateInit` | if late init of service instance, set service name (String) or component factory (XSingleComponentFactory), null otherwise
    `Object` | `m_value` | set entry value

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComponentContextEntry​(Object value)` | Creating a direct value component context entry.
    `ComponentContextEntry​(Object lateInit, Object value)` | Creating a late-init singleton entry component context entry.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_lateInit

          public Object m_lateInit

      if late init of service instance, set service name (String) or component factory (XSingleComponentFactory), null otherwise

    - #### m_value

          public Object m_value

      set entry value

  - ### Constructor Detail

    - #### ComponentContextEntry

          public ComponentContextEntry​(Object lateInit,
                                       Object value)

      Creating a late-init singleton entry component context entry. The second parameter will be ignored and overwritten during instantiation of the singleton instance.
      Parameters:
        `lateInit` - object factory or service string
        `value` - pass null (dummy separating from second constructor signature)

    - #### ComponentContextEntry

          public ComponentContextEntry​(Object value)

      Creating a direct value component context entry.
      Parameters:
        `value` - pass null